Update SSO configuration
curl --request PUT \
--url https://api.engagefabric.com/enterprise/sso \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "Sign in with Acme Corp",
"samlEntityId": "https://idp.customer.com/saml",
"samlSsoUrl": "https://idp.customer.com/saml/sso",
"samlCertificate": "<string>",
"oidcIssuer": "https://idp.customer.com",
"oidcClientId": "<string>",
"oidcClientSecret": "<string>",
"oidcScopes": [
"openid",
"profile",
"email"
],
"autoProvision": true,
"defaultRole": "VIEWER",
"allowedDomains": [
"customer.com",
"subsidiary.com"
],
"enforceSso": false
}
'import requests
url = "https://api.engagefabric.com/enterprise/sso"
payload = {
"displayName": "Sign in with Acme Corp",
"samlEntityId": "https://idp.customer.com/saml",
"samlSsoUrl": "https://idp.customer.com/saml/sso",
"samlCertificate": "<string>",
"oidcIssuer": "https://idp.customer.com",
"oidcClientId": "<string>",
"oidcClientSecret": "<string>",
"oidcScopes": ["openid", "profile", "email"],
"autoProvision": True,
"defaultRole": "VIEWER",
"allowedDomains": ["customer.com", "subsidiary.com"],
"enforceSso": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: 'Sign in with Acme Corp',
samlEntityId: 'https://idp.customer.com/saml',
samlSsoUrl: 'https://idp.customer.com/saml/sso',
samlCertificate: '<string>',
oidcIssuer: 'https://idp.customer.com',
oidcClientId: '<string>',
oidcClientSecret: '<string>',
oidcScopes: ['openid', 'profile', 'email'],
autoProvision: true,
defaultRole: 'VIEWER',
allowedDomains: ['customer.com', 'subsidiary.com'],
enforceSso: false
})
};
fetch('https://api.engagefabric.com/enterprise/sso', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
enterprise
Update SSO configuration
PUT
/
enterprise
/
sso
Update SSO configuration
Authorizations
JWT token for admin console authentication
Body
application/json
SSO provider type
Available options:
SAML, OIDC, AZURE_AD, OKTA, GOOGLE_WORKSPACE Display name for the SSO button
Example:
"Sign in with Acme Corp"
SAML Entity ID (for SAML provider)
Example:
"https://idp.customer.com/saml"
SAML SSO URL (for SAML provider)
Example:
"https://idp.customer.com/saml/sso"
SAML X.509 Certificate (PEM format)
OIDC Issuer URL (for OIDC provider)
Example:
"https://idp.customer.com"
OIDC Client ID
OIDC Client Secret
OIDC Scopes
Automatically create users on first login
Default role for auto-provisioned users
Available options:
OWNER, ADMIN, DESIGNER, DEVELOPER, VIEWER Allowed email domains (empty means all domains)
Example:
["customer.com", "subsidiary.com"]
Force SSO for all users (no password login)
Response
SSO configuration updated
⌘I
